# Uses of Class
ij.process.LUT

Packages that use LUT
Package
Description
ij
ij.io
ij.plugin
ij.process

## Uses of LUT in ij

Methods in ij that return LUT
Modifier and Type
Method
Description
`LUT`
CompositeImage.`createLutFromColor(Color color)`
`LUT`
CompositeImage.`getChannelLut()`
`LUT`
CompositeImage.`getChannelLut(int channel)`
`LUT[]`
CompositeImage.`getLuts()`
`LUT[]`
ImagePlus.`getLuts()`
Returns an array containing the lookup tables used by this image, one per channel, or an empty array if this is an RGB image.
Methods in ij with parameters of type LUT
Modifier and Type
Method
Description
`void`
CompositeImage.`setChannelLut(LUT table)`
`void`
CompositeImage.`setChannelLut(LUT table, int channel)`
`void`
ImagePlus.`setLut(LUT lut)`
Assigns a LUT (lookup table) to this image.
`void`
CompositeImage.`setLuts(LUT[] luts)`

## Uses of LUT in ij.io

Methods in ij.io that return LUT
Modifier and Type
Method
Description
`static LUT`
Opener.`openLut(String filePathOrUrl)`
Opens a lookup table (LUT) and returns it as a LUT object, or returns null if there is an error.

## Uses of LUT in ij.plugin

Methods in ij.plugin that return LUT
Modifier and Type
Method
Description
`static LUT`
LutLoader.`openLut(String pathOrURL)`
Opens a LUT and returns it as a LUT object.

## Uses of LUT in ij.process

Methods in ij.process that return LUT
Modifier and Type
Method
Description
`LUT`
LUT.`createInvertedLut()`
`static LUT`
LUT.`createLutFromColor(Color color)`
Creates a color LUT from a Color.
`LUT`
ImageProcessor.`getLut()`
Methods in ij.process with parameters of type LUT
Modifier and Type
Method
Description
`void`
ImageProcessor.`setLut(LUT lut)`